package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.jcgl.TbJcglBqDto;
import com.mosty.base.model.query.jcgl.TbJcglBqQuery;
import com.mosty.base.model.vo.jcgl.TbJcglBqVo;

import java.util.List;

/**
 * 巡防警力标签表（技能/经验）;(tb_jcgl_bq)表服务接口
 * @author : http://www.chiner.pro
 * @date : 2022-6-6
 */
public interface TbJcglBqService{
    
    /** 
     * 通过ID查询单条数据 
     *
     * @param id 主键
     * @return 实例对象
     */
    TbJcglBqVo queryById(String id);
    
    /**
     * 分页查询
     *
     * @param tbJcglBq 筛选条件
     * @return
     */
    IPage<TbJcglBqVo> paginQuery(TbJcglBqQuery tbJcglBq);
    /**
     * 新增数据
     *
     * @param tbJcglBq 实例对象
     * @return 实例对象
     */
    int insert(TbJcglBqDto tbJcglBq);
    /**
     * 更新数据
     *
     * @param tbJcglBq 实例对象
     * @return 实例对象
     */
    int update(TbJcglBqDto tbJcglBq);
    /** 
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(String id);

     public boolean checkMc(String mc);

     Object countBqsl(TbJcglBqVo tbJcglBqVo);

    /**
     * 批量删除
     * @param id
     * @return
     */
     boolean deleteByIds(List<String> id);

    /**
     * 注销标签
     * @param id
     * @return
     */
     boolean zcbqByIds(List<String> id);

 }